KDE 4.7 PyKDE API Reference

- KDE's Python API

# UIEvent Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.Event
Namespace: DOM

## Detailed Description

Introduced in DOM Level 2

The UIEvent interface provides specific contextual information associated with User Interface events.

## Methods
| __init__ (self)
| __init__ (self, DOM.UIEvent other)
| __init__ (self, DOM.Event other)
int | charCode (self)
long | detail (self)
| initUIEvent (self, DOM.DOMString typeArg, bool canBubbleArg, bool cancelableArg, DOM.AbstractView viewArg, long detailArg)
int | keyCode (self)
int | layerX (self)
int | layerY (self)
int | pageX (self)
int | pageY (self)
DOM.AbstractView | view (self)
int | which (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.UIEvent | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Event | other
| ) |  |  |

int charCode | ( |  | self ) |

Non-standard extension to support IE-style charCode event property.

long detail | ( |  | self ) |

Specifies some detail information about the Event, depending on the type of event.

initUIEvent | ( | self, |
|  | DOM.DOMString | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | DOM.AbstractView | viewArg,
|  | long | detailArg
| ) |  |  |

The initUIEvent method is used to initialize the value of a UIEvent created through the DocumentEvent interface. This method may only be called before the UIEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

Parameters:

  | typeArg | Specifies the event type.
  | canBubbleArg | Specifies whether or not the event can bubble.
  | cancelableArg | Specifies whether or not the event's default action can be prevented.
  | viewArg | Specifies the Event's AbstractView.
  | detailArg | Specifies the Event's detail.

int keyCode | ( |  | self ) |

Non-standard extension to support IE-style keyCode event property.

int layerX | ( |  | self ) |

Non-standard extensions to support Netscape-style layerX and layerY event properties.

int layerY | ( |  | self ) |

int pageX | ( |  | self ) |

Non-standard extensions to support Netscape-style pageX and pageY event properties.

int pageY | ( |  | self ) |

DOM.AbstractView view | ( |  | self ) |

The view attribute identifies the AbstractView from which the event was generated.

int which | ( |  | self ) |

Non-standard extension to support Netscape-style "which" event property.